using System;
using System.Reflection;

internal sealed class Delegate181 : MulticastDelegate
{
	public extern FieldInfo Invoke(object object_0, string string_0, BindingFlags bindingFlags_0);

	public static FieldInfo smethod_0(object object_0, string string_0, BindingFlags bindingFlags_0, Delegate181 delegate181_1)
	{
		return delegate181_1(object_0, string_0, bindingFlags_0);
	}

	public extern Delegate181(object object_0, IntPtr intptr_0);

	static Delegate181()
	{
		Class10.smethod_13(typeof(Delegate181).TypeHandle);
	}

	internal static Delegate181 delegate181_0;
}
